# Class Sweep

java.lang.Object
com.codename1.gaming.physics.box2d.common.Sweep

All Implemented Interfaces:
  `Serializable`

public class Sweep extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `a`
  `float`
  `a0`
  `float`
  `alpha0`
  `final Vec2`
  `c`
  `final Vec2`
  `c0`
  `final Vec2`
  `localCenter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sweep()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `advance(float alpha)`
  `final void`
  `getTransform(Transform xf, float beta)`
  `final void`
  `normalize()`
  `final Sweep`
  `set(Sweep argCloneFrom)`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### localCenter

    public final Vec2 localCenter

  - ### c0

    public final Vec2 c0

  - ### c

    public final Vec2 c

  - ### a0

    public float a0

  - ### a

    public float a

  - ### alpha0

    public float alpha0

- ## Constructor Details

  - ### Sweep

    public Sweep()

- ## Method Details

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### normalize

    public final void normalize()

  - ### set

    public final Sweep set(Sweep argCloneFrom)

  - ### getTransform

    public final void getTransform(Transform xf, float beta)

  - ### advance

    public final void advance(float alpha)